Get Comments By Type And Parent Id

Get Comments By Type And Parent Id

Get all comments of the specified type that are applied to the given parent object

Request
URI
GET
https://apigw.vmware.com/sampleExchange/v1/comments/type/{commentType}/parentId/{parentId}
COPY
Path Parameters
string
commentType
Required

commentType

Possible values are : REQUEST, SAMPLE, SOLUTION,
integer
parentId
Required

parentId


Authentication
This operation uses the following authentication methods.
Responses
200

successful operation

Returns Array of Comment of type(s) application/json
[
    {
        "id": 0,
        "parentId": 0,
        "type": "string",
        "federationId": "string",
        "communitiesUser": "string",
        "comment": "string",
        "created": "string",
        "lastUpdated": "string"
    }
]